# Third Party

## Structure

Publisher does not support the trailing slash in site pages which was dropped in EE around version 2.5, however, Structure has a backwards compatibility setting to keep the trailing slashes, but this is not supported by Publisher. You must disable the use of trailing slashes in Structure to maintain Publisher compatibility.

### Structure Tags

The following parameters will need to be added to Structure tags to work with Publisher. The value of "publisher"  for the `channel:title` parameter instructs Publisher to fetch the proper translations for the links in each tag. It is highly recommended to also use the `entry_id` parameter. When used, the `entry_id` parameter will instruct Publisher to be much more performant than without using `entry_id`.&#x20;

```
{exp:structure:titletrail channel:title="publisher" entry_id="123"}
{exp:structure:breadcrumb channel:title="publisher" entry_id="123"}
```

You may need to add the `rename_home` parameter to the `{exp:structure:breadcrumb}` tag in order for it to work properly due to a bug in Structure.

```
rename_home=”{structure:top:title}”
```

In most cases the `start_from` parameter will work just as you expect it to when using translated URLs. For example `start_from=”{segment_1}”`. However, for the cases in which you need to start the navigation from a page other than the page the user is currently on you will need to use `{page_uri:XX}`, where XX is the entry ID of the page you want the navigation to start from. Normal segment variables or string values will not work in this case because Publisher does not know the translated value or depth of the URL of page you are requesting the navigation to start from. The parameter will end up as `start_from=”{page_uri:123}”`.

All Structure global variables will be updated with the translated values as well.

```
{structure:top:title}
{structure:parent:title}
{structure:page:title}
{structure:top:url}
{structure:parent:url}
{structure:page:url}
{structure:top:uri}
{structure:parent:uri}
{structure:page:uri}
{structure:top:slug}
{structure:parent:slug}
{structure:page:slug}
```

## Low Seg 2 Cat

If you are currently using Low Seg 2 Cat and are using translated URLs in Publisher, then you might want to try [URL Helper](https://github.com/litzinger/URL-Helper) instead. It works specifically with Publisher and provides nearly identical functionality as Low Seg 2 Cat (plus more) and will return the category segment values even with translated URLs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/publisher/docs/add-ons/third-party.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
